--- asclock-gtk-2.1.10.orig/config.c
+++ asclock-gtk-2.1.10/config.c
@@ -25,7 +25,6 @@
 };
  
 char *themes_directories[] = {
-  "./themes/",
   ASCLOCK_THEMES_DIR ,
   "",
   NULL
--- asclock-gtk-2.1.10.orig/Makefile
+++ asclock-gtk-2.1.10/Makefile
@@ -3,14 +3,14 @@
 
 CFLAGS = -Wall -g
 
-GNOME_CC = gcc $(CFLAGS) -DASCLOCK_THEMES_DIR=\""/usr/local/share/asclock"\" \
+GNOME_CC = gcc $(CFLAGS) -DASCLOCK_THEMES_DIR=\""/usr/share/asclock-gtk/themes/"\" \
            -DASCLOCK_GNOME `gnome-config --cflags gnomeui gnome gtk`
 GNOME_OBJS = .gnome/draw.o .gnome/asclock.o .gnome/config.o .gnome/rot.o .gnome/parser.o \
 		.gnome/symbols.o .gnome/dialogs.o .gnome/timezone.o .gnome/gnome_config.o
 
 GNOME_LIBS = -lpanel -lpanel_applet `gnome-config --libs gnomeui gnome gtk gnorba`
 
-GTK_CC = gcc $(CFLAGS) -DASCLOCK_THEMES_DIR=\""/usr/local/share/asclock"\" \
+GTK_CC = gcc $(CFLAGS) -DASCLOCK_THEMES_DIR=\""/usr/share/asclock-gtk/themes/"\" \
 	     -DASCLOCK_GTK `$(CONFIG_PATH)gtk-config --cflags`
 GTK_OBJS = .gtk/draw.o .gtk/asclock.o .gtk/config.o .gtk/rot.o .gtk/parser.o .gtk/symbols.o
 GTK_LIBS = `$(CONFIG_PATH)gtk-config --libs`
@@ -41,24 +41,15 @@
 	$(GTK_CC) $(GTK_LIBS) $(GTK_OBJS) -o asclock
 
 install: asclock
-	$(CP) asclock /usr/X11/bin
-	$(MKDIR) /usr/local/share/asclock
-	$(MKDIR) /usr/local/share/asclock/themes
-	$(MKDIR) /usr/local/share/asclock/themes/Newstone
-	$(CP) themes/Newstone/* /usr/local/share/asclock/themes/Newstone
-	$(MKDIR) /usr/local/share/asclock/themes/Orb
-	$(CP) themes/Orb/* /usr/local/share/asclock/themes/Orb
-	$(MKDIR) /usr/local/share/asclock/themes/Stone
-	$(CP) themes/Stone/* /usr/local/share/asclock/themes/Stone
-	$(MKDIR) /usr/local/share/asclock/themes/analog
-	$(CP) themes/analog/* /usr/local/share/asclock/themes/analog
-	$(MKDIR) /usr/local/share/asclock/themes/beats
-	$(CP) themes/beats/* /usr/local/share/asclock/themes/beats
-	$(MKDIR) /usr/local/share/asclock/themes/classic
-	$(CP) themes/classic/* /usr/local/share/asclock/themes/classic
-	$(MKDIR) /usr/local/share/asclock/themes/shaped
-	$(CP) themes/shaped/* /usr/local/share/asclock/themes/shaped
-#	$(CP) -rf themes/* /usr/local/share/asclock/
+	$(CP) asclock debian/tmp/usr/X11R6/bin/asclock-gtk
+	$(CP) -R themes/Newstone debian/tmp/usr/share/asclock-gtk/themes
+	$(CP) -R themes/Freeamp debian/tmp/usr/share/asclock-gtk/themes
+	$(CP) -R themes/Orb debian/tmp/usr/share/asclock-gtk/themes
+	$(CP) -R themes/Stone debian/tmp/usr/share/asclock-gtk/themes
+	$(CP) -R themes/analog debian/tmp/usr/share/asclock-gtk/themes
+	$(CP) -R themes/beats debian/tmp/usr/share/asclock-gtk/themes
+	$(CP) -R themes/classic debian/tmp/usr/share/asclock-gtk/themes
+	$(CP) -R themes/shaped debian/tmp/usr/share/asclock-gtk/themes
 
 clean: 
 	rm -rf core *.o *~ .gtk .gnome asclock asclock_applet
--- asclock-gtk-2.1.10.orig/README.THEMES
+++ asclock-gtk-2.1.10/README.THEMES
@@ -2,8 +2,9 @@
 -----------------------
 
 
-SPECIAL NOTE FOR THE IMPATIENT: copy your themes to either
-/usr/local/share/asclock/ or /usr/share/asclock/
+SPECIAL NOTE FOR THE IMPATIENT: copy your themes to 
+/usr/share/asclock-gtk/themes
+
 
 
 a theme consists of 8 xpms and a position file called 'config'.
--- asclock-gtk-2.1.10.orig/debian/changelog
+++ asclock-gtk-2.1.10/debian/changelog
@@ -0,0 +1,15 @@
+asclock-gtk (2.1.10-2) unstable; urgency=low
+
+  * Fixed the wording of the package description in the debian/control file.
+
+ -- Chris McKillop <cdm@debian.org>  Sun, 22 Aug 1999 20:43:57 -0500
+
+asclock-gtk (2.1.10-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Chris McKillop <cdm@debian.org>  Fri,  6 Aug 1999 12:44:50 -0500
+
+Local variables:
+mode: debian-changelog
+End:
--- asclock-gtk-2.1.10.orig/debian/copyright
+++ asclock-gtk-2.1.10/debian/copyright
@@ -0,0 +1,17 @@
+This package was debianized by Chris McKillop <cdm@debian.org> on
+Fri,  6 Aug 1999 12:44:50 -0500.
+
+It was downloaded from http://www.asclock.org/tar/asclock-gtk-2.1.10beta.tar.gz
+
+Upstream Author(s):  Beat Christen, spiff@longstreet.ch
+                     Patrick Rogan, rogan@lycos.com
+
+Copyright:
+
+Copyright (C) Beat Christen, spiff@longstreet.ch
+Copyright (C) Patrick Rogan, rogan@lycos.com
+
+This is GPL2 software.
+
+On Debian GNU/Linux systems, the complete text to the license can
+be found in the file /usr/share/common-licenses/GPL.
--- asclock-gtk-2.1.10.orig/debian/control
+++ asclock-gtk-2.1.10/debian/control
@@ -0,0 +1,13 @@
+Source: asclock-gtk
+Section: x11
+Priority: optional
+Maintainer: Chris McKillop <cdm@debian.org>
+Standards-Version: 2.5.0
+
+Package: asclock-gtk
+Architecture: any
+Depends: ${shlibs:Depends}
+Suggests: menu (>= 1.5)
+Description: An X11 desktop clock with theme support
+ This Package contains a nice X11 desktop clock that supports themes.  It
+ is very similar to the one that come with Gnome, but only needs GTK.
--- asclock-gtk-2.1.10.orig/debian/dirs
+++ asclock-gtk-2.1.10/debian/dirs
@@ -0,0 +1,2 @@
+usr/share/asclock-gtk/themes
+usr/X11R6/bin
--- asclock-gtk-2.1.10.orig/debian/menu
+++ asclock-gtk-2.1.10/debian/menu
@@ -0,0 +1,16 @@
+?package(asclock-gtk):needs=X11 section=Apps/Tools/ASclock-GTK\
+  title="Classic" command="/usr/X11R6/bin/asclock-gtk -theme classic"
+?package(asclock-gtk):needs=X11 section=Apps/Tools/ASclock-GTK\
+  title="Beats" command="/usr/X11R6/bin/asclock-gtk -theme beats"
+?package(asclock-gtk):needs=X11 section=Apps/Tools/ASclock-GTK\
+  title="FreeAmp" command="/usr/X11R6/bin/asclock-gtk -theme Freeamp"
+?package(asclock-gtk):needs=X11 section=Apps/Tools/ASclock-GTK\
+  title="NewStone" command="/usr/X11R6/bin/asclock-gtk -theme Newstone"
+?package(asclock-gtk):needs=X11 section=Apps/Tools/ASclock-GTK\
+  title="Orb" command="/usr/X11R6/bin/asclock-gtk -theme Orb"
+?package(asclock-gtk):needs=X11 section=Apps/Tools/ASclock-GTK\
+  title="Stone" command="/usr/X11R6/bin/asclock-gtk -theme Stone"
+?package(asclock-gtk):needs=X11 section=Apps/Tools/ASclock-GTK\
+  title="Shaped" command="/usr/X11R6/bin/asclock-gtk -theme shaped"
+?package(asclock-gtk):needs=X11 section=Apps/Tools/ASclock-GTK\
+  title="Analog" command="/usr/X11R6/bin/asclock-gtk -theme analog"
--- asclock-gtk-2.1.10.orig/debian/asclock-gtk.1x
+++ asclock-gtk-2.1.10/debian/asclock-gtk.1x
@@ -0,0 +1,52 @@
+.TH NAME SECTION 
+.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
+.\" other parms are allowed: see man(7), man(1)
+.SH NAME
+asclock-gtk \- An X11 desktop clock
+.SH SYNOPSIS
+.B asclock-gtk
+.I "[options]"
+.SH "DESCRIPTION"
+This manual page documents briefly the
+.BR asclock-gtk 
+command.
+This manual page was written for the Debian GNU/Linux distribution
+because the original program does not have a manual page.
+.PP
+.B asclock-gtk
+Is a X11 desktop clock with theme support.
+.SH OPTIONS
+A summary of options are included below.
+.TP
+.B \-h, \-\-help
+Show summary of options (including installed themes).
+.TP
+.B \-v, \-\-version
+Show version of program.
+.TP
+.B \-12
+12 hour clock format.
+.TP
+.B \-24
+24 hour clock format.
+.TP
+.B \-d
+Use to enable WindowMaker docking support.
+.TP
+.B \-exe \<program\>
+Run program on click.
+.TP
+.B \-theme \<theme-dir\>
+Choose a theme.
+.TP
+.B \-noblink 
+Don't blink.
+.SH "SEE ALSO"
+http://www.asclock.org/
+.SH "FILES"
+.TP
+.I /usr/share/asclock-gtk/themes
+Location of the directories storing theme files.
+.SH AUTHOR
+This manual page was written by Chris McKillop <cdm@debian.org>,
+for the Debian GNU/Linux system (but may be used by others).
--- asclock-gtk-2.1.10.orig/debian/rules
+++ asclock-gtk-2.1.10/debian/rules
@@ -0,0 +1,66 @@
+#!/usr/bin/make -f
+#-*- makefile -*-
+# Made with the aid of dh_make, by Craig Small
+# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
+# Some lines taken from debmake, by Christoph Lameter.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+build: build-stamp
+build-stamp:
+	dh_testdir
+	# Add here commands to compile the package.
+	$(MAKE) asclock
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp install-stamp
+	# Add here commands to clean up after the build process.
+	-$(MAKE) clean
+	dh_clean
+
+install: install-stamp
+install-stamp: build-stamp
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/tmp.
+	$(MAKE) install 
+
+	touch install-stamp
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installmanpages
+	dh_installchangelogs CHANGES
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+	# You may want to make some executables suid here
+	dh_suidregister
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+source diff:                                                                  
+	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary
--- asclock-gtk-2.1.10.orig/debian/docs
+++ asclock-gtk-2.1.10/debian/docs
@@ -0,0 +1,3 @@
+FAQ
+README
+README.THEMES
